Package org.apache.felix.framework.util

# Class ShrinkableMap<K,V>

java.lang.Object
org.apache.felix.framework.util.ShrinkableMap<K,V>

All Implemented Interfaces:
  `Map<K,V>`

public class ShrinkableMap<K,V> extends Object implements Map<K,V>

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`ShrinkableMap(Map<K,V> delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`boolean`
`containsKey(Object o)`
`boolean`
`containsValue(Object o)`
`Set<Map.Entry<K,V>>`
`entrySet()`
`V`
`get(Object o)`
`boolean`
`isEmpty()`
`Set<K>`
`keySet()`
`V`
`put(K k, V v)`
`void`
`putAll(Map<? extends K,? extends V> map)`
`V`
`remove(Object o)`
`int`
`size()`
`Collection<V>`
`values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### ShrinkableMap

public ShrinkableMap(Map<K,V> delegate)

## Method Details

### size

public int size()

Specified by:
  `size` in interface `Map<K,V>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<K,V>`

### containsKey

public boolean containsKey(Object o)

Specified by:
  `containsKey` in interface `Map<K,V>`

### containsValue

public boolean containsValue(Object o)

Specified by:
  `containsValue` in interface `Map<K,V>`

### get

public V get(Object o)

Specified by:
  `get` in interface `Map<K,V>`

### put

public V put(K k, V v)

Specified by:
  `put` in interface `Map<K,V>`

### remove

public V remove(Object o)

Specified by:
  `remove` in interface `Map<K,V>`

### putAll

public void putAll(Map<? extends K,? extends V> map)

Specified by:
  `putAll` in interface `Map<K,V>`

### clear

public void clear()

Specified by:
  `clear` in interface `Map<K,V>`

### keySet

public Set<K> keySet()

Specified by:
  `keySet` in interface `Map<K,V>`

### values

public Collection<V> values()

Specified by:
  `values` in interface `Map<K,V>`

### entrySet

public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`